Questions about software packages, installing them, removing them, updating them and finding them.

learn more… | top users | synonyms (1)

0
votes
0answers
27 views

How to clone an Ubuntu system using the package manager?

I would like some way to exactly duplicate what is installed on one Ubuntu system, onto another, regardless of the target system's state, using the package manager. This includes: installing the same ...
0
votes
0answers
27 views

how I can make Debian source package form my program which write by Qt?

I made a program by Qt and I want to put it on Ubuntu Software Center form myapps.developer.ubuntu.com. When I want to submit it, I should upload Debian source package. How I make this?! You can see ...
0
votes
0answers
24 views

How can I put a package on Ubuntu repositories? [duplicate]

I create a simple charset converter by Qt which can use to subtitle correction or any missing encoding. I published it in Github by GNU license (See here). Now, I want to put this program on Ubuntu ...
1
vote
1answer
119 views

MrSID support for QGIS 2.4 in Ubuntu 14.04

I am trying to get MrSID support in QGIS 2.4 in Ubuntu 14.04. According to the this tutorial you have to rebuild libgdal against MrSID SDK from LizardTech. But I cannot find the package ...
0
votes
0answers
6 views

How to backup user preferences and packages list to be loaded on different machine / after format?

I'd like to install Ubuntu on my other computer, but first minimize work needed to recreate my current Ubuntu configuration, including packages and their settings (like apache2, mysql or wallch). Can ...
2
votes
3answers
1k views

Ubuntu 12.04 Libreoffice update breaks software updating

After applying the latest updates today (August 16, 2014), Libreoffice-base will not complete the upgrade due "no diversion" error which then seems to break the postrm script and now I can neither ...
1
vote
1answer
29 views

failed installing libamd2.2.0, libumfpack5.4.0 and libatlas-sse2-dev [duplicate]

I have a script I run on erach new machine I own, that installs somethings I need. For some reason, on a dell Inspiron 3542 with Ubuntu 14.04, the following fails: $ sudo apt-get install libamd2.2.0 ...
1
vote
1answer
38 views

“Failed to load the package list” - fixes posted not working

I have a pretty new installation, and this week tried to add a vlc server application. That seems to have broken something, as I now have the warning bar that indicates a "serious problem." Digging ...
0
votes
0answers
19 views

Spotify installed packages have unmet dependencies [duplicate]

I used wine to emulate the Windows version of Spotify and I recently just uninstalled it and ever since then, when I start up my Ubuntu, after a while I will get this restricted logo beside the wifi ...
0
votes
1answer
46 views

Half installed package nightmare

At some point, one of my servers stopped writing to its network attached storage device (I presume), and it resulted in a week or more's worth of packages ending up in the "half-installed" state. ...
0
votes
1answer
60 views

Trying to install ncview on Ubuntu 12.04 [duplicate]

The package ncview requires X development headers and headers. On Ubuntu 12.04 I tried the following command sudo apt-get install xorg-dev and I got the below error message. This looks like a very ...
0
votes
0answers
39 views

The package system is broken… unmet dependencies [duplicate]

Some will say this is duplicate but it is not :) Basically, I am running Ubunto 14.04 LTS and I removed LibreOffice to install OpenOffice. Then I was trying to re-install Libre again (so that I have ...
0
votes
0answers
17 views

Error Occured, go into package manager to see the issue [duplicate]

Failed to load the package list This is a serious problem. Try again later. If this problem appears again, please report an error to the developers. E:Unable to parse package file ...
0
votes
0answers
52 views

How do I uninstall ttf-mscorefonts while it is currently 'half installed'?

I tried using this as a step to watching Netflix. The package itself is half installed or something and removing or purging or reinstalling it doesn't seem to do anything. It won't let me remove it ...
1
vote
1answer
63 views

How to download and install a single package with all it's dependencies? [duplicate]

How to download a package with all its dependencies So that it can be installed later on another computer without the internet. I tried at Official packages for Ubuntu. But it also needs to be ...
2
votes
0answers
16 views

Add Package to Official Repository [duplicate]

I wrote a driver for a remote filesystem (mounts a Google Drive, similar to the way SSHFS mounts a remote server). It's super useful as an alternative to dropbox or ubuntuone. It is now getting ...
0
votes
0answers
19 views

How can I determine the minimal installation set for a list of packages? [duplicate]

I have some installation notes for installing the GLEW libraries for development purposes. They read: Install everything with "glew" in its name. This means I currently run: sudo apt install ...
3
votes
0answers
45 views

Ubuntu 14.04 64bit - Provides in a package not working

I have recently switched over to 14.04 64bit from 12.04 32bit. I use packages that are built by my company and I have added architecture dependency in the sources.list file like: deb [arch=i386] ...
0
votes
1answer
92 views

Dropbox causes software center problems

installed dropbox via software center. ''applying changes'' or when pressing 'x' button, then ''cancellation'' last forever! Even after restarting comp. Removing dropbox via software center lasta ...
0
votes
0answers
55 views

Errors after HP deskjet 3070a installiation

I have got HP deskjet 3070a printer at home, which I would like to use via wireless network. I have used Ubuntu Official Documentation website how to install it ...
0
votes
1answer
106 views

Unmet dependencies problem on 12.04 - libcurl4-openssl-dev depends librtmp-dev

I'm having troubles with unmet dependencies on Ubuntu 12.04: libcurl4-openssl-dev depends librtmp-dev Here is what I've got after running sudo apt-get -f install which suggested running apt-get ...
0
votes
1answer
28 views

deb package has no usr/lib after installation

I'm building a simple single binary deb package, everything works fine with the executable that is placed in the usr/bin folder and executes when I click the desktop icon. Now I want to start ...
0
votes
0answers
129 views

Errors while installing any Software Packages on ubuntu 14.04LTS - fails to build alsa-hda-0.201210261053~natty1

If i install any new SW. .it will throw SW update error & Package operation failed.. below is how the error looks like in terminal... Can you please help.. Loading new ...
0
votes
1answer
18 views

is it safe to delete package files

After downloaded, extracted package files from .tar.gz and installed (e.g. using setup.py install or make all), is it safe to delete the extracted files? Similarly, if I use pip, there is a build ...
0
votes
1answer
133 views

What's the development package for Qt5 in 14.04

I want to build a Qt5 example on my desktop machine. I installed qt5-default and qtdeclarative5-dev, but I'm still getting this error: Project ERROR: Unknown module(s) in QT: quick qml Which ...
0
votes
2answers
47 views

Error while installing skype [closed]

I am trying to install skype by typing this: sudo apt-get install skype Reading package lists... Done This is what is happening! (Reading database ... 231137 files and directories currently ...
0
votes
0answers
48 views

Depending on postgresql-plpython for every installed version of postgresql

I'm working on a project which gets installed as an Ubuntu package. This is part of the code for generating the database (modified): CREATE EXTENSION plpythonu; CREATE FUNCTION foo (str text) ...
0
votes
1answer
46 views

Which package should I install to solve this problem?

I am using Ubuntu 14.04 (32bits) When I installed TORCS-1.3.1 (which is a sort of Racing game), Error is occurred. Error is " No rule to make target /usr/include/i386-linux-gnu/bits/predefs.h', ...
3
votes
3answers
279 views

Removing a plethora of default installed packages

i just bourght a VPS, imaged with ubuntu 12.04, and i notice right out of the box it's using 10% ram. I then proceeded to run this: dpkg-query -Wf '${Package;-40}${Priority}\n' | sort -b -k2,2 -k1,1 ...
1
vote
1answer
31 views

Installing a package with apt-get for a single user [duplicate]

Is it possible to install a package for just the current user (placing files in locations that the user can write to, such as their home directory)?
0
votes
0answers
19 views

Package not present in ubuntu package list. Different approach (ubuntu precise 12.04)

I currently have an application that I am doing packaging now. I require ruby2.0 and the package is for Ubuntu precise. (12.04LTS) but the issue is that, ubuntu precise package list does not have ...
2
votes
0answers
41 views

How can I accept the Lience agreement for steam prior to apt-get install?

I'm currently fiddling around with using ansible to setup my machine with my chosen configuration/apps etc... I've hit a stumbling block with steam and it's licence agreement. I've been trying to use ...
0
votes
1answer
45 views

Deleted elements that I don't know

In order to install a new version of Skype, I did sudo apt-get -force remove skype sudo apt-get autoremove This deleted lots of elements on my laptop and I don't know if they are important. Can ...
1
vote
0answers
50 views

Install lib32v4l-0 but receiving dependency error

I am trying to install lib32v4l-0_0.6.4-1ubuntu1_amd64.deb but I get the following error: (Reading database ... 406870 files and directories currently installed.) Preparing to unpack ...
0
votes
1answer
20 views

Synaptic installation problem Ubuntu 12.10? [duplicate]

I'm not able to install Synaptic, please help me. jhon@jhon-Inspiron-N5010:~$ sudo apt-get install synaptic [sudo] password for jhon: Reading package lists... Done Building dependency tree ...
0
votes
1answer
255 views

trying to install libncurses dev package for ubuntu 14.04 [duplicate]

I am trying to install libncurses for Ubuntu 14.04. But, it is showing the following error: root@sharwariDell:/usr/src# sudo apt-get install libncurses5-dev Reading package lists... Done Building ...
0
votes
2answers
112 views

Difference between gnome-shell & ubuntu-gnome-desktop

I am running Ubuntu 14.04 LTS (32-bit). Now I want to install Gnome Desktop Environment (without removing unity). I know I can install by following command: sudo apt-get install gnome-shell ...
0
votes
2answers
177 views

Package Dependency Issue

I am unable to install anything at the moment because of dependency issue. When I try to run apt-get -f install, the following happens; sudo apt-get -f install Reading package lists... Done Building ...
0
votes
0answers
41 views

apt-get won't install dependency

File A, version 12, has a dependency on file B, version 12. However, in the repo, there exists a B_12_all.deb and B_13_all.deb. The dependency in A_12_all.deb's control file is the following: ...
0
votes
0answers
171 views

Why Are Microsoft Hyper-V Drivers Split Into Two Packages?

After installing Ubuntu Server 14.04 LTS as a Microsoft Hyper-V guest OS, I see that there appear to be several Hyper-V-specific drivers loaded: $ lsmod | egrep '(hv|hyperv)' | sort hid ...
0
votes
1answer
19 views

dot doesn't recognize any formats

My installation of graphviz 2.36.0-0ubuntu3 doesn't seem to support any output formats: $ dot -Tpng Format: "png" not recognized. Use one of: $ dot -Tsvg Format: "svg" not recognized. Use one of: ...
0
votes
1answer
177 views

What packages do i need to install on an ubuntu desktop for it to “become a server”?

Alright, so due to problems connecting to a wifi network on the ubuntu server distribution, i want to install the neccesary packages for a lamp, mail and ssh server on an ubuntu desktop 14.04 lte ...
1
vote
1answer
47 views

Difference between key (recv-keys), signing key, and fingerprint in APT/PPA system

Let's take https://launchpad.net/~ansible/+archive/ubuntu/ansible as an example. If you click on 'Technical details about this PPA' you see: Signing key: 4096R/7BB9C367 Fingerprint: ...
0
votes
1answer
119 views

How to install version 4.11 of the package texinfo?

I need to install the package texinfo version 4.11 that I downloaded from http://ftp.gnu.org/gnu/texinfo/ and unpacked (folder texinfo-4.11). I already installed packages with the 'sudo apt-get ...
1
vote
1answer
329 views

Resolve Unmet dependencies

vikiboy@BatCave:~$ sudo apt-get install ros-indigo-openni-launch Reading package lists... Done Building dependency tree Reading state information... Done ros-indigo-openni-launch is already ...
2
votes
1answer
22 views

How do I refresh the package list?

I am download a java package and in order to update I need to refresh the package list. How do I do that?
1
vote
1answer
78 views

Openoffice headless

I want to install Openoffice headless in Ubuntu 14.04. I previously successfully installed it Ubuntu 13.04 using following commands: ...
4
votes
1answer
29 views

Is there a "top-level' package for Ubuntu 14.04?

With a really dumb move, I removed the pulseaudio package on my machine and reinstalled it. The resulting desktop is broken (all the packages that are dependent on pulseaudio have not been ...
3
votes
0answers
42 views

Custom repository for “click” packages

For standard deb packages we can use reprepro. Is there any custom repository related solution for "click" packages?
1
vote
1answer
57 views

Why am I getting the terminal error “try apt-get -f install”?

Okay, I just install Ubuntu (the LXDE version, which is Lubuntu) and everytime I try to install a package through the terminal with the "Apt-get install" command, this error pops up: E: Unmet ...